<?php
if ($IsEdit && $check_lock != '') { ?>
    <div class="alert alert-danger" role="alert">
        <button class="close" data-dismiss="alert"></button>
        <strong>Danger: </strong><?php echo $check_lock ?>
    </div>
    <?php
    return;
}
if ($IsEdit && empty($edit_data['Main']['Truck_Expense_ID'])) { ?>
<div class="alert alert-danger" role="alert">
    <button class="close" data-dismiss="alert"></button>
    <strong>Danger: </strong>you can not edit this vehicle expense! 
    <br>
    This vehicle expense is not available.
</div>
<?php die(); }?>
<style type="text/css">
    #PayementTable thead tr th {
        color:#555;
        border-bottom: 1px solid rgba(0,0,0,0.1);
    }
    #PayementTable tbody tr td input{
        width:100%;
        margin:0;
        border: 1px solid rgba(0,0,0,0.02);
        background-color:#f0f0f0;
    }
    #PayementTable tbody tr td {
        border:0;
        padding:3px 1px;
        position:relative;
    }
    #PayementTable tbody tr:first-child td{
        padding-top:10px;
    }
    #PayementTable .Hint{
        position: absolute;
        font-size: 10px;
        font-weight: bold;
        height: 20px;
        line-height: 20px;
        bottom: 2px;
        right: 4px;
        color: rgb(153, 153, 153);
    }
    #PayementTable .TotalTD{
        width: auto;
        display: inline-block;
        text-align: center;
        font-size: 20px;
        text-indent:10px;
        font-weight: bold;
    }
    #PayementTable .Disc{
        width:50px;
    }
    #PayementTable input.wrong{
        border: 1px solid rgba(255, 0, 0, 0.2);
        background: rgba(255, 0, 0, 0.05);
    }
    .DropDownForForms > .dropdown-menu{
        width:100%;
        height:200px;
        max-height:200px;
        overflow-y:scroll;
    }
    .DropDownForForms > .dropdown-menu{
        height:auto;
        cursor: pointer;
        overflow-y:auto;
    }
    .DropDownForForms > button{
        position:relative;
        z-index:999;
    }
    .DropDownForForms > button > input{
        position: absolute;
        left:5;
        top: 0;
        width:90%;
        cursor: pointer;
        -webkit-user-select:none;
        -moz-user-select:none;
        user-select:none;
        padding: 0;
        border: 0;
        background: transparent;
    }
    .Disabled{
        cursor:default;
        opacity:0.5;
    }
    #AdvanceValue{
        width: 102px;
        display: inline-block;
    }

    .my_tr{
        border-bottom: 1px solid rgba(0,0,0,0.07);
        padding:10px;
    }
    .wrong{
        border: 1px solid rgba(255, 0, 0, 0.2);
        background: rgba(255, 0, 0, 0.05);
    }
    .rem{
        color:#2f879c;
        cursor:pointer;
        font-weight:700;
    }
    .balance{
        color:red;
        font-weight:700;
    }
    .AddRow{

        background: #CFF5F2;
        padding: 10px;
        border-radius: 6px;
        margin-bottom: 10px;

    }
    .total_div{
        margin-top:0px;
    }
    .InputSpinner{
        width: 60px;
    }
    .InputSpinner > .form-control{
        border-color: rgb(221, 221, 221);
        height:36px;
        margin:0;
        padding:0;
        text-align: center;

    }
    .InputSpinner > .input-group-btn-vertical {
        position: relative;
        white-space: nowrap;
        width: 25px;
        vertical-align: middle;
        display: table-cell;
    }
    .InputSpinner > .input-group-btn-vertical > .btn {
        height:19px;
        display: block;
        float: none;
        width: 100%;
        max-width: 100%;
        padding: 8px;
        margin-left: -1px;
        position: relative;
        border-radius: 0;
    }
    .InputSpinner > .input-group-btn-vertical > .btn:first-child {
        border-top-right-radius: 4px;
    }
    .InputSpinner > .input-group-btn-vertical > .btn:last-child {
        margin-top: -2px;
        border-bottom-right-radius: 4px;
    }
    .InputSpinner > .input-group-btn-vertical i{
        position: absolute;
        top: 50%;
        left: 6px;
        margin-top:-9px;
        font-size: 18px;
    }
    .InputSpinner .input-group-btn-vertical .btn.btn-default{
        font-size: 10px;
        padding: 6px 10px;
    }
</style>
<script src="<?php echo THEME_PATH; ?>plugins/jquery-validation/js/jquery.validate.min.js"></script>
<form method="POST" action="" onsubmit="return false" id="expense_from">
    <div class="container-fluid container-fixed-lg">
        <div class="panel panel-default">
            <div class="panel-body">
                <?php echo Forms::ModalLoader('expense_isbusy') ?>
                <div id="paymentAlert"></div>
                <div class="">
                    <div class="">
                        <div class="">
                            <div class="invoice">
                                <div class="container-sm-height">
                                    <div class="row-sm-height">
                                        <div class="col-md-9 col-sm-height sm-no-padding">
                                            <div>
                                                <div class="input-group  col-md-4 center-margin pull-left" >
                                                    <div class="sm-m-t-20">
                                                        <h2 class="font-montserrat all-caps hint-text"><?php print CommonLanguage::getMessage('expenditures'); ?></h2>
                                                    </div>
                                                </div>
                                                <div class="clearfix"></div>
                                            </div>

                                            <div class="input-group  col-md-4 center-margin pull-left " >
                                                <label><?php print CommonLanguage::getMessage('choose_supplier'); ?><span class="red-star">*</span></label><span class="fa fa-plus-circle m-l-5 openFrame" data-src="<?php echo "Inventory/ViewVendorList?is_pop=1" ?>" style="color:#0c586a;cursor:pointer"></span>
                                                <input class="search_supplier full-width" id="search_supplier" name="search_supplier" type="hidden" value="<?= $IsEdit ? $edit_data['Main']['Supplier_ID'] : ""; ?>" data-select-name='<?= json_encode($IsEdit ? $edit_data['Person']['Name'] : ""); ?>' />

                                            </div> 
                                            <div class="col-md-3 ">
                                                <label><?php echo CommonLanguage::getMessage('payment_account') ?></label>
                                                <input class="pay_method full-width" id="pay_method" name="pay_method" type="hidden" value="<?= $IsEdit ? $edit_data['Main']['pay_method_acc_id'] : ""; ?>" data-select-name='<?= json_encode($IsEdit ? $edit_data['Main']['pay_method'] : ""); ?>' />

                                            </div>



                                        </div>
                                        <div class="col-md-4 col-sm-height col-bottom sm-no-padding sm-p-b-20" style="vertical-align: top;">
                                            <div class="form-group form-group-default input-group">
                                                <label class="fade"><?php print CommonLanguage::getMessage('Date'); ?></label>
                                                <input id="ExpenseDate" name="ExpenseDate" class="form-control" value="<?php echo $IsEdit ? $edit_data['Main']['Truck_Expense_Date'] : $today; ?>" aria-required="true" aria-invalid="false">
                                                <span class="input-group-addon bg-success-darker"><i class="fa fa-calendar"></i></span>
                                            </div>
                                            <div class="form-group form-group-default input-group">
                                                <label class="fade"><?php print CommonLanguage::getMessage('due_date'); ?></label>
                                                <input id="ExpenseDueDate" name="ExpenseDueDate" class="form-control" value="<?php echo $IsEdit ? $edit_data['Main']['Expense_DueDate'] : $today; ?>" aria-required="true" aria-invalid="false">
                                                <span class="input-group-addon bg-success-darker"><i class="fa fa-calendar"></i></span>
                                            </div>
                                            <div id="CurrencyIDContainer" class=" m-t-10" >
                                                <div class="form-group form-material floating ">
                                                    <div class="input-group-btn DropDownForForms Closable  " id="CurrencyDropDown">
                                                        <button type="button" class="btn btn-success-darker btn-block dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                                                            <span><?php echo $IsEdit ? ($edit_data['Main']['Currency_Name'] . ' - ' . $edit_data['Main']['Currency_Symbol']) : $currency_symbol ?></span>
                                                            <input type="hidden" name="Currency_ID" value="<?php echo $IsEdit ? $edit_data['Main']['Currency_ID'] : $DefaultCurrencyID ?>" class="form-control ignore" onkeyup="return false" onkeydown="return false"/>
                                                        </button>
                                                        <ul class="dropdown-menu">
                                                            <?php echo $CurList ?>
                                                            <li class="divider"></li>
                                                            <li><a class="LoadMore">More..</a></li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                            <div style="display:flex;">
                                                <div  class="form-group supInv" id="SupplierInv" style="width:48%;margin-right:2%">
                                                    <label> <?php print CommonLanguage::getMessage('supplier_invoice'); ?>#</label>
                                                    <input id="Supplier_Invoice" name="Supplier_Invoice" class="form-control" value="<?php echo $IsEdit ? $edit_data['Main']['supplier_inv_id'] : '' ?>" />

                                                </div>
                                                <div   class="form-group " style="width: 50%;" >
                                                    <label><?php echo CommonLanguage::getMessage('job') ?></label>
                                                    <input type="hidden" class="full-width" id="job_id" value="<?php echo $IsEdit ? $edit_data['Main']['job_id'] : '' ?>" data-select-name="<?= $IsEdit ? $edit_data['Main']['job_name'] : '' ?>"/>
                                                </div>
                                            </div>
                                            <div style="display:flex;">
                                                <div  style="width:48%;margin-right:2%">   
                                                    <div class=" form-group" >   
                                                        <label><?php print CommonLanguage::getMessage('branch'); ?></label>

                                                        <input class=" full-width" id="branch_id" name="branch_id" type="hidden"  value="<?= $IsEdit ? $edit_data['Main']['branch_id'] : (empty(smc_session()['user_accounts']['branch_id']) ? smc_session()['default_branch_id'] : smc_session()['user_accounts']['branch_id']) ?>" data-select-name='<?= json_encode($IsEdit ? $edit_data['Main']['branch_name'] : (empty(smc_session()['user_accounts']['branch_id']) ? smc_session()['default_branch_name'] : smc_session()['user_accounts']['branch_name'])) ?>'/>


                                                    </div>
                                                </div>
                                                <div style="width: 50%;" >
                                                    <div  class="form-group " >
                                                        <label><?php print CommonLanguage::getMessage('exchange_rate'); ?></label>
                                                        <input type="number" step="any" min="0" id="current_rate" name="current_rate" class="form-control full-width current_rate" <?php echo ($DefaultCurrencyID == smc_session()['local_currency']) ? 'disabled' : '' ?>  value="<?php echo $IsEdit ? $edit_data['Main']['current_rate'] : '' ?>" />
                                                    </div>
                                                </div>
                                            </div>
                                            <div style="display:flex;">
                                                <div  style="width:48%;margin-right:2%">   
                                                    <div class=" form-group" >   
                                                        <label><?php print CommonLanguage::getMessage('project'); ?></label>

                                                        <input class=" full-width" id="project_id" name="project_id" type="hidden"  value="<?= $IsEdit ? $edit_data['Main']['project_id'] : '' ?>" data-select-name='<?= json_encode($IsEdit ? $edit_data['Main']['project_name'] : '') ?>'/>


                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div>
                                    <div class=""></div>
                                </div>
                                <div class="table-responsive exp_div">
                                    <?php
                                    if ($IsEdit) {
                                        foreach ($edit_data['details'] as $exp) {
                                            ?>
                                            <div class="col-md-12 AddRow m-b-10 form-group"  >
                                                <div class="col-md-11">
                                                    <div class="row">
                                                        <div class="col-xs-2  test">
                                                            <label><?php echo CommonLanguage::getMessage('vehicle') ?><span class="red-star">*</span><span class="fa fa-plus-circle m-l-5 openFrame" data-src="ACC/viewlibrary/1?is_pop=1" style="color:#0c586a;cursor:pointer"></span></label>
                                                            <input class=" full-width" name="search_truck" type="hidden" value="<?php echo $exp['truck_id'] ?>" data-select-name='<?= json_encode($exp['truck_name'])?>'/>

                                                        </div>
                                                        <div class="col-xs-2">
                                                            <label><?php echo CommonLanguage::getMessage('description') ?></label>
                                                            <input type="text" class="form-control exp_desc  " value="<?php echo $exp['description'] ?>">
                                                        </div>
                                                        <div class="col-xs-2  ">
                                                            <label><?php echo CommonLanguage::getMessage('account') ?><span class="red-star">*</span><span class="fa fa-plus-circle m-l-5 openFrame" data-src="ACC/viewlibrary/1?is_pop=1" style="color:#0c586a;cursor:pointer"></span></label>
                                                            <input class=" full-width" name="exp_acc" type="hidden"  value="<?php echo $exp['Account_ID'] ?>" data-select-name='<?= json_encode($exp['Account_Name'] . ' - ' . $exp['Account_Code']) ?>'/>

                                                        </div>

                                                        <div class="col-xs-1">
                                                            <label><?php echo CommonLanguage::getMessage('qty') ?><span class="red-star">*</span></label>
                                                            <input type="text" class="form-control exp_qty digits " value="<?php echo $exp['quantity'] ?>" >
                                                        </div>
                                                        <div class="col-xs-1">
                                                            <label><?php echo CommonLanguage::getMessage('unit_cost') ?><span class="red-star">*</span></label>
                                                            <input type="text" class="form-control unit_cost  " value="<?php echo $exp['unit_price'] ?>">
                                                        </div>
                                                        <div class="col-xs-1">
                                                            <label class="auto-vat" style="cursor: pointer;font-weight:700;"><span class="fa fa-pencil"></span>&nbsp;<?php echo CommonLanguage::getMessage('vat_percent') ?></label>
                                                            <input type="text" class="form-control vat_percent  " value="<?php echo $exp['vat_percent'] ?>">
                                                        </div>
                                                        <div class="col-xs-1">
                                                            <label><?php echo CommonLanguage::getMessage('vat') ?></label>
                                                            <input type="text" class="form-control vat_amount  " value="<?php echo $exp['vat_amount'] ?>">
                                                        </div>
                                                        <div class="col-xs-1">
                                                            <label><?php echo CommonLanguage::getMessage('p_amount') ?></label>
                                                            <input type="text" class="form-control paid_amount  " value="<?php echo $exp['paid_amount'] ?>">
                                                        </div>
                                                        <div class="col-xs-1">
                                                            <label><?php echo CommonLanguage::getMessage('total') ?></label>
                                                            <h5 class="total_div"><strong><span class="tr-total">0</span>&nbsp;<span class="CurrencyIndicator"></span></strong></h5>
                                                        </div>
                                                    </div>
                 

                                                </div>

                                                <div class="col-md-1 AddButtons">

                                                    <span class="fa fa-plus-circle" style="color:#0c586a;margin-top:15px;margin-right:25px"></span>
                                                    <span class="fa fa-minus-circle" style="color:#2f879c;margin-top:15px;"></span>
                                                </div>
                                            </div>
                                            <?php
                                        }
                                    }else {
                                        ?>
                                        <div class="col-md-12 AddRow m-b-10 form-group"  >
                                            <div class="col-md-11">
                                                <div class="row">
                                                    <div class="col-xs-2  test">
                                                        <label><?php echo CommonLanguage::getMessage('vehicle') ?><span class="red-star">*</span><span class="fa fa-plus-circle m-l-5 openFrame" data-src="ACC/viewlibrary/1?is_pop=1" style="color:#0c586a;cursor:pointer"></span></label>
                                                        <input class=" full-width" name="search_truck" type="hidden"  />

                                                    </div>
                                                    <div class="col-xs-2">
                                                        <label><?php echo CommonLanguage::getMessage('description') ?></label>
                                                        <input type="text" class="form-control exp_desc  " >
                                                    </div>
                                                    <div class="col-xs-2  test">
                                                        <label><?php echo CommonLanguage::getMessage('account') ?><span class="red-star">*</span><span class="fa fa-plus-circle m-l-5 openFrame" data-src="ACC/viewlibrary/1?is_pop=1" style="color:#0c586a;cursor:pointer"></span></label>
                                                        <input class=" full-width" name="exp_acc" type="hidden"  />

                                                    </div>


                                                    <div class="col-xs-1">
                                                        <label><?php echo CommonLanguage::getMessage('qty') ?><span class="red-star">*</span></label>
                                                        <input type="text" class="form-control exp_qty digits " >
                                                    </div>
                                                    <div class="col-xs-1">
                                                        <label><?php echo CommonLanguage::getMessage('unit_cost') ?><span class="red-star">*</span></label>
                                                        <input type="text" class="form-control unit_cost  " >
                                                    </div>
                                                    <div class="col-xs-1">
                                                        <label class="auto-vat" style="cursor: pointer;font-weight:700;"><span class="fa fa-pencil"></span>&nbsp;<?php echo CommonLanguage::getMessage('vat_percent') ?></label>
                                                        <input type="text" class="form-control vat_percent  " >
                                                    </div>
                                                    <div class="col-xs-1">
                                                        <label><?php echo CommonLanguage::getMessage('vat') ?></label>
                                                        <input type="text" class="form-control vat_amount  " >
                                                    </div>
                                                    <div class="col-xs-1">
                                                        <label><?php echo CommonLanguage::getMessage('p_amount') ?></label>
                                                        <input type="text" class="form-control paid_amount  " >
                                                    </div>
                                                    <div class="col-xs-1">
                                                        <label><?php echo CommonLanguage::getMessage('total') ?></label>
                                                        <h5 class="total_div"><strong><span class="tr-total">0</span>&nbsp;<span class="CurrencyIndicator"></span></strong></h5>
                                                    </div>
                                                </div>
                                                

                                            </div>

                                            <div class="col-md-1 AddButtons">

                                                <span class="fa fa-plus-circle" style="color:#0c586a;margin-top:15px;margin-right:25px"></span>
                                                <span class="fa fa-minus-circle" style="color:#2f879c;margin-top:15px;"></span>
                                            </div>
                                        </div>
                                    <?php } ?>

                                </div>
                                <br>
                                <div class="container-sm-height" >
                                    <div class="row  b-a b-grey"><div class="col-md-6"></div>

                                
                                        <div class="col-sm-3  " style="padding-right:0">
                                            <div class="row">
                                                <textarea id="invoice_note" name="invoice_note" class="form-control NoteTextArea" placeholder="<?php print CommonLanguage::getMessage('enter_note'); ?>  ..." aria-invalid="false"><?php echo $IsEdit ? $edit_data['Main']['Truck_Expense_Description'] : '' ?></textarea>
                                            </div>
                                            <div class="row">
                                                <h5 class="font-montserrat all-caps small no-margin hint-text bold" ><?php print CommonLanguage::getMessage('vat_ten'); ?><span class="form-control ignore" id="InvoiceVAT"></span> </h5>

                                            </div>
                                        </div>
                                        <div class="col-sm-3 text-right bg-menu col-sm-height padding-15" style="text-align:left !important">
                                            <div style="text-align: left;display: inline-block;">
                                                <h5 class="font-montserrat all-caps small no-margin hint-text text-white bold"><?php print CommonLanguage::getMessage('total'); ?></h5>
                                                <h1 class="no-margin text-white Total"><span class="CurrencyIndicator"></span>&nbsp;<span id="ExpenseTotalAmount">0</span></h1>
                                                <h5 class="font-montserrat all-caps small no-margin hint-text text-white bold"><?php print CommonLanguage::getMessage('taxable_amount'); ?></h5>
                                                <h1 class="no-margin text-white Total"><span class="CurrencyIndicator"></span>&nbsp;<span id="taxable_amount">0</span></h1>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="container-sm-height" >
                                    <button class=" btn btn-success-darker btn-cons m-b-10 pull-right " name="PaymentSubmitButton" id="PaymentSubmitButton" style="padding-top: 10px;top: 20px;min-width:253px;" type="button"><i class="pg-form"></i> <span class="bold"><?php print CommonLanguage::getMessage('Save'); ?></span></button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>


<script>
    var Required_Fields = <?php echo json_encode(CommonLanguage::getMessage('Required_Fields')); ?>,
            Failed_Submit = <?php echo json_encode(CommonLanguage::getMessage('Failed_Submit')); ?>,
            change_amounts = <?php echo json_encode(CommonLanguage::getMessage('change_amounts')); ?>,
//            check_pay_amounts = <?php // echo json_encode(CommonLanguage::getMessage('check_pay_amounts'));    ?>,
            pay_method_alert = <?php echo json_encode(CommonLanguage::getMessage('pay_method_alert')); ?>,
            fa_parent_id = <?php echo json_encode(smc_session()['account_setting']['fixed_asset_parent_acc_id']); ?>,
            Submitted_Successfully = <?php echo json_encode(CommonLanguage::getMessage('Submitted_Successfully')); ?>;
    var CurrencySymbol = '',
            local_currency = <?php echo json_encode(smc_session()['local_currency']); ?>,
            vat_percent = <?php echo json_encode(smc_session()['vat_percent']); ?>,
            IsActual = <?php echo $is_actual ? "true" : "false" ?>,
            IsEdit = <?php echo $IsEdit ? "true" : "false" ?>,
            edit_id = <?php echo $id; ?>,
            Paytotal = 0;
    $(function () {
        build_select2($(".search_supplier"), ("xhr/supplierSearch"))
        build_select2($("input[name=exp_acc]"), "xhr/accIDSearch?type=Payment")
        build_select2($("input[name=search_truck"), "xhr/truckSearch");
        build_select2($("#job_id"), "ACCAjax/JobSearch")
        build_select2($("#project_id"), "ACCAjax/projectSearch")
        build_select2($("#pay_method"), ("xhr/accIDSearch?type=pay"))

        build_select2($("#branch_id"), "xhr/CommonSearch?col_id=branch_id&col_name=branch_name&table=tbl_organization_branches")

        $(".CurrencyIndicator").html($("#CurrencyDropDown ul li[value=" + $("#CurrencyDropDown button input").val() + "]").attr("mysymbol"))


        $(".exp_div").on("click", ".auto-vat", function (e) {
            $(this).parents(".AddRow").find('.vat_percent').val(vat_percent).trigger("keyup")
        })
        $(".exp_div").on("click", ".AddButtons > .fa-plus-circle", function (e) {
            $(".AddButtons > .fa-minus-circle").css("display", "")
            var Parent = $(this).parents(".AddRow"), NewItem = Parent.clone().insertAfter(Parent);
            $(".select2-container", NewItem).remove()

            NewItem.find("input").val('');
            NewItem.find(".tr-total").text("0").attr("tr-total", 0)
            NewItem.find("input[name=exp_acc],input[name=search_truck]").val('')
            NewItem.find("input[name=exp_acc],input[name=search_truck]").attr('data-select-name', '')
            build_select2($("input[name=exp_acc]", NewItem), "xhr/accIDSearch?type=Payment")
            build_select2($("input[name=search_truck]", NewItem), "xhr/truckSearch")
            NewItem.find(".dep_div").addClass('hidden')
            NewItem.find("select.Dep_Period").val("").select2()
            NewItem.find(".select2-container").show().select2()
        })
        $(".exp_div").on("click", ".AddButtons > .fa-minus-circle", function (e) {
            $(this).closest(".AddRow").empty().remove();
            $(".exp_div").each(function () {
                $(".AddButtons > .fa-minus-circle", $(this).parent()).css({"display": $(".AddButtons", $(this).parent()).length <= 1 ? "none" : "inline-block"})
            })

        })
        $("#add_payment").on("show.bs.modal", function () {
            $("#PaymentValidationAlert").remove();
            $("#ExpenseTotalAmount").html("0");
        });
        $("#ExpenseDate,#ExpenseDueDate").datepicker({autoclose: true})

        $("#PaymentSubmitButton").on("click", function () {
            validate = true;
            pay_validate = false;
            if ($("#search_supplier").val() == '')
                validate = false;

            $("#expense_isbusy").removeClass('hidden')
            var Data = {

                Expense_Date: $("#ExpenseDate").val(),
                Expense_DueDate: $("#ExpenseDueDate").val(),
                Currency_ID: $("#expense_from #CurrencyDropDown  input").val(),
                Supplier_ID: $("#search_supplier").val(),
                total_expense: $("#ExpenseTotalAmount").attr('exp_total'),
                expense_no_vat: $("#ExpenseTotalAmount").attr('exp_no_vat'),
                Expense_VAT: $("#InvoiceVAT").attr("total-vat"),
                branch_id: $("#branch_id").val(),
                is_actual: IsActual ? 1 : 0,
                Currency_Rate: $("#current_rate").val(),
                Supplier_Invoice: $("#Supplier_Invoice").val(),
                Expense_Note: $("#invoice_note").val(),
                job_id: $("#job_id").val(),
                project_id: $("#project_id").val(),
                pay_method_acc_id: $("#pay_method").val(),
                total_paid: 0,
                expense: []
            };
            var total_paid = 0;
            $(".AddRow").each(function () {
                var me = $(this);
//                console.log(me.find(".exp_acc").val())
                if (me.find(".exp_qty").val() != '' && me.find(".unit_cost").val() != '' && me.find("input[name=exp_acc]").val() != '') {
                    Data.expense.push({
                        exp_qty: me.find(".exp_qty").val(),
                        unit_cost: me.find(".unit_cost").val(),
                        vat_percent: me.find(".vat_percent").val(),
                        vat_amount: me.find(".vat_amount").val(),
                        exp_acc: me.find("input[name=exp_acc]").val(),
                        truck_id: me.find("input[name=search_truck]").val(),
                        exp_desc: me.find(".exp_desc").val(),
                        dep_rate: me.find(".dep_rate").val(),
                        dep_desc: me.find(".dep_desc").val(),
                        Dep_Period: me.find("select.Dep_Period").val(),
                        paid_amount: me.find(".paid_amount").val(),
                        total: me.find(".tr-total").attr("tr-total")
                    });
                    total_paid += parseFloat(me.find(".paid_amount").val());
                    if (me.find(".paid_amount").val() != '')
                        pay_validate = true;
                } else {
                    validate = false;
                }
            })
            Data.total_paid = total_paid;

            if (!validate) {
                $("#paymentAlert").attr("class", " alert alert-danger").empty().html(Required_Fields);
                $("#expense_isbusy").addClass('hidden')
                $(document.body).animate({scrollTop: 0}, 800)
                return false;
            }
            if (pay_validate && $("#pay_method").val() == '') {
                $("#paymentAlert").attr("class", " alert alert-danger").empty().html(pay_method_alert);
                $("#expense_isbusy").addClass('hidden')
                $(document.body).animate({scrollTop: 0}, 800)
                return false;
            }

            if (IsEdit) {
                Data.exp_id = edit_id;
            }
            $.ajax({
                url: IsEdit ? "GarageAjax/edit_vehicle_expense" : "GarageAjax/vehicleExpensesAjax",
                method: "POST",
                data: Data,
                complete: function (v1, v2) {
                    if (v2 == 'success') {
                        if (v1.responseText == 'success') {
                            $("#paymentAlert").attr("class", " alert alert-success").empty().html(Submitted_Successfully);
                        } else {
                            $("#paymentAlert").attr("class", " alert alert-danger").empty().html(v1.responseText)
                        }
                    } else {
                        $("#PaymentValidationAlert").attr("class", "alert alert-danger").empty().html(Failed_Submit);
                    }
                    $("#expense_isbusy").addClass("hidden")
                    $(document.body).animate({scrollTop: 0}, 800)
                }
            })
        });
        $(".exp_div").on("keyup", ".unit_cost,.exp_qty,.vat_amount,.vat_percent", function () {
            updateTable()
        })


        $(".unit_cost").trigger("keyup")
        $("#CurrencyDropDown li").on("click", function () {

            CurrencySymbol = $(this).attr("mysymbol")
            $(".CurrencyIndicator").html($(this).attr("mysymbol"))
            if ($(this).attr("value") == local_currency) {
                $("#current_rate").val(1).attr("disabled", "disabled")
            } else
                $("#current_rate").val("").removeAttr("disabled")

        })

    })
    function updateTable() {
        var total = 0, taxable_total = 0, vat_total = 0, total_no_vat = 0;
        $(".exp_div .AddRow").each(function () {
            var tr = $(this),
                    quantity = parseFloat(tr.find(".exp_qty").val()) || 0,
                    unit_price = parseFloat(tr.find(".unit_cost").val()) || 0,
                    tr_total = (quantity * unit_price) || 0,
                    vat_percent = parseFloat(tr.find(".vat_percent").val()) || 0,
                    vat_amount = tr_total * vat_percent / 100;
            tr.find(".tr-total").text(AddCommas(public_round_number(tr_total + vat_amount))).attr("tr-total", tr_total);
            total += (tr_total + vat_amount);
            total_no_vat += tr_total;
            tr.find(".vat_amount").val(vat_amount).attr("vat-amount", vat_amount);
            if (vat_percent > 0) {
                taxable_total += tr_total;
                vat_total += vat_amount;
            }
        })

        $("#ExpenseTotalAmount").text(AddCommas(public_round_number(total))).attr("exp_total", total).attr("exp_no_vat", total_no_vat)
        $("#taxable_amount").text(AddCommas(public_round_number(taxable_total)))
        $("#InvoiceVAT").text(AddCommas(public_round_number(vat_total))).attr("total-vat", vat_total)
    }
</script>
