
<style>

    .table thead tr >th{
        background-color:#0c586a;
        color:#fff;
        width: 16% !important;
    }
    .table thead tr th[class*='sorting_'] {
        color: #fff;
    }

</style>
<div class="container-fluid container-fixed-lg bg-white">
    <div class="panel panel-transparent">
        <div class="panel-heading">
            <div class="panel-title"><?php print CommonLanguage::getMessage('view_medical_employee'); ?></div>
            <div class="clearfix"></div>


        </div>
        <div class="panel-body">
            <table class="table table-bordered table-hover demo-table-search" id="tableWithSearch">
                <thead>
                <th  class="text-center"><?php print CommonLanguage::getMessage('employee_name'); ?></th>
                <th  class="text-center"><?php print CommonLanguage::getMessage('Date'); ?></th>
                <th  class="text-center"><?php print CommonLanguage::getMessage('note'); ?></th>
                <th  class="text-center"><?php print CommonLanguage::getMessage('amount'); ?></th>
                <?php if ($permissions->hasPermission('DeleteMedicalEmployee') || $permissions->hasPermission('EditMedicalEmployee')) { ?>
                    <th class="text-center"><?php print CommonLanguage::getMessage('Action'); ?></th>
                <?php } ?>



                </thead>
                <tbody>

                </tbody>
            </table>
        </div>

    </div>
</div>
</div>
<div class="modal fade bs-example-modal-md" id="DeleteMedicalFromList" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
    <div class="modal-dialog" style="width:50%">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                <h4 class="modal-title"><?php print CommonLanguage::getMessage('Confirm_Delete'); ?></h4>
                <div id="Delete_modalAlert" class="alert alert-success"></div>
            </div>
            <div class="modal-body">
                <form>
                    <div class="row">
                        <div class="col-md-12 ">
                            <div class="col-md-12" style="margin-top: 20px;">
                                <p><?php print CommonLanguage::getMessage('About_Delete'); ?> <strong class="Name"></strong> <strong class="Days">  </strong> </p>
                                <p><?php print CommonLanguage::getMessage('Proceed_Delete'); ?></p>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php print CommonLanguage::getMessage('Close'); ?></button>
                <button type="button" class="btn btn-danger" id="Medical_Delete" style="width:auto"><?php print CommonLanguage::getMessage('Save'); ?></button>
            </div>
        </div>
    </div>
</div>
<script>
    var title = <?php echo json_encode(CommonLanguage::getMessage('view_medical_employee')) ?>;
    var Submitted_Successfully = <?php echo json_encode(CommonLanguage::getMessage('Submitted_Successfully')); ?>,
         
            Failed_Submit = <?php echo json_encode(CommonLanguage::getMessage('Failed_Submit')); ?>,
            is_actual = <?php echo json_encode($is_actual);?>;
    $(function () {

        RebuildDataTable(title, [0,1,2,3], 'HRMAjax/medicalEmployeeListRequest',{is_actual : is_actual});





        var CurrentMedical_ToDelete;

        $("#tableWithSearch").on("click", ".Action .Delete", function () {
            var Medical_Type_name = $(this).parents("tr").find("td:eq(0)").text()//parent tr keep searching till it reach tr 

            $("#DeleteMedicalFromList").find(".Name").text(Medical_Type_name).end().modal("show") // to set the name of employee in modal to delete 

            CurrentMedical_ToDelete = $(this).parents("tr").find('.Action').attr('data-id') // current id to delete
        })
        $("#Delete_modalAlert").hide(); // hide the alert when submit if true or false
        //on click the delete button in modal get the id of the selected employee to delete it 
        $("#Medical_Delete").on("click", function () {
            $.ajax({
                type: 'POST',
                url: 'HRMAjax/medicalEmployeeListRequest',
                data: {GetID: CurrentMedical_ToDelete},
                complete: function (data, vv) {
                    if (vv == "success" && data.responseText == "OK") {
                        RebuildDataTable(title, [0,1,2,3], 'HRMAjax/medicalEmployeeListRequest' ,{is_actual : is_actual}, '#tableWithSearch');
                        $("#Delete_modalAlert").attr("class", "alert alert-success").html(Submitted_Successfully).show();
                        setTimeout(function () {
                            $("#DeleteMedicalFromList").modal("hide")
                            $("#Delete_modalAlert").remove()
                        }, 1000)
                    } else {
                        $("#Delete_modalAlert").show().empty().removeClass('alert-success').addClass('alert-danger').html(Failed_Submit);
                    }
                }});
        })





















    })





</script>