<?php
$GLOBALS["messages"] = array (
    'en'=> array(
        'Upload' =>'Upload',
        'Materials' =>'Materials',
        'Reorder_Level'=>'Reorder Level',
        'Warehouses'=>'Warehouses',
        'Stock_Card'=>'Stock Card',
        'Depot'=>'Depot',
        'Depot_Content'=>'Depot Content',
        'Loaded_Depot'=>'Loaded Depot',
        'Product_Material_Locations'=>'Locations',
        'Product_Location'=>'Product Location',
        'Material_Location'=>'Material Location',
        'Transfers'=>'Transfers',
        'Request_Order'=>'Request Order',
        'Request_List'=>'Request List',
        'Transfer_List'=>'Transfer List',
        'Import_Data'=>'Import Data',
        'Wrong_Type_Files'=>'You can not upload this type of files',
        'Download_Template'=>'Download Template',
        'Upload_Downloaded_File'=>'Upload the downloaded .xlsx file',
        'Close'=>'Close',
        'Save'=>'Save',
        'Code'=>'Code',
        'Name'=>'Name',
        'Cost'=>'Cost',
        'Quantity'=>'Quantity',
        'Material_List'=>'Material List',
        'All'=>'All',
        'Add'=>'Add',
        'Edit'=>'Edit',
        'Category'=>'Category',
        'Select_Category'=>'Select Category',
        'Type'=>'Type',
        'Select_Type'=>'Select Type',
        'UOM'=>'UOM',
        'Select_UOM'=>'Select UOM',
        'More'=>'More',
        'Brand'=>'Brand',
        'Price'=>'Price',
        'Currency'=>'Currency',
        'Description'=>'Description',
        'Select_Currency'=>'Select Currency',
        'Taxable'=>'Taxable'
    ),
    'ar'=> array(
        'Upload' =>'تحميل',
        'Materials'=>'المواد',
        'Reorder_Level'=>'إعادة الطلب',
         'Warehouses'=>'المستودعات',
        'Stock_Card'=>'بطاقة المخزون',
        'Depot'=>'المستودع',
        'Depot_Content'=>'محتوى المستودع',
        'Loaded_Depot'=>'المنتجات المحملة',
        'Product_Material_Locations'=>'مراكز المنتجات والمواد',
        'Product_Location'=>'مركز المنتجات',
        'Material_Location'=>'مركز المواد',
        'Transfers'=>'الانتقالات',
        'Request_Order'=>'أوامر الطلب',
        'Request_List'=>'جدول الطلبات',
        'Transfer_List'=>'جدول الإنتقالات',
        'Import_Data'=>'تحميل مواد',
        'Wrong_Type_Files'=>'لا يمكنك تحميل هذا النوع من الملفات',
        'Download_Template'=>'تنزيل نموذج',
        'Upload_Downloaded_File'=>'(.xlsx)قم بتحميل الملف الذي تم تنزيله ',
        'Close'=>'إغلاق',
        'Save'=>'حفظ',
        'Code'=>'الرمز',
        'Name'=>'الإسم',
        'Cost'=>'الكلفة',
        'Quantity'=>'الكمية',
        'Material_List'=>'قائمة المواد',
        'All'=>'الكل',
        'Add'=>'إضافة',
        'Edit'=>'تعديل',
        'Category'=>'الفئة',
        'Select_Category'=>'إختيار الفئة',
        'Type'=>'النوع',
        'Select_Type'=>'إختيار النوع',
        'UOM'=>'وحدة القياس',
        'Select_UOM'=>'إختيار وحدة القياس',
        'More'=>'المزيد',
        'Brand'=>'علامة تجارية',
        'Price'=>'السعر',
        'Currency'=>'العملة',
        'Description'=>'الشرح',
        'Select_Currency'=>'إختيار العملة',
        'Taxable'=>'خاضع للضريبة'
    )
);


 function msg($lang,$s) {
//    die("hellooo");
    $locale = $lang;

    if (isset($GLOBALS["messages"][$locale][$s])) {
        return $GLOBALS["messages"][$locale][$s];
    } else {
        error_log("l10n error: locale: "."$locale, message:'$s'");
    }
}


?>