<div class="container-fluid container-fixed-lg bg-white">
    <div class="panel panel-transparent">
        <div class="panel-heading">
            <div class="panel-title">
                <h4 class="bold"><?php echo $title; ?> </h4>
            </div>
            <form target="_blank" method="post">
                <div class="row form-group">
                    <div class="col-md-10">
                        <div class=" col-md-3 input-daterange" id="datepicker-range-invoice" hidden>
                            <label><?php print CommonLanguage::getMessage('Date'); ?></label>
                            <input id="From_To_Date_invoice" type="text" autocomplete="off" class="form-control" name="From_To_Date_invoice">
                        </div>
                        <div class=" col-md-3 input-daterange" id="datepicker-range" hidden>
                            <label><?php print CommonLanguage::getMessage('range_date_create'); ?></label>
                            <input id="From_To_Date" type="text" autocomplete="off" class="form-control" name="From_To_Date">
                        </div>
                        <div class="col-md-3">
                            <label><?php echo CommonLanguage::getMessage('choose_product') ?></label>
                            <input id="product_id" type="hidden" class="full-width" name="product_id">
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <div class="panel-body">
            <div class="row ">
                <div class="col-md-12 table-responsive" id="MyTable">
                    <table class="table table-bordered inventory" id="tableWithSearch">
                        <thead>
                            <tr>
                                <th class="text-center" style="width:5%"><?php print CommonLanguage::getMessage('product_name'); ?></th>
                                <th class="text-center" style="width:5%"><?php print CommonLanguage::getMessage('quantity'); ?></th>
                                <th class="text-center" style="width:5%"><?php print CommonLanguage::getMessage('notification_qty'); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                        <tfoot></tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    var ViewLang = <?php echo json_encode(CommonLanguage::getMessage('view')); ?>;
    var title = <?php echo json_encode(CommonLanguage::getMessage('product_quantity_report')); ?>;
    var today = <?php echo json_encode($today) ?>;
    var is_actual = <?php echo json_encode($is_actual); ?>,
        datatable_msg = <?php echo json_encode(isset(smc_session()['datatable_header_temp']['total_sold_items']) ? smc_session()['datatable_header_temp']['total_sold_items'] : null) ?>;

    $(function() {
        var default_end_time = subtractFromTime(default_start_time, 1, 'seconds'),
            twelve_hours = subtractFromTime(default_start_time, 12, 'hours');
        build_select2($("#product_id"), "xhr/CommonSearch?col_id=Product_ID&col_name=Product_Name&table=product_quantity_report");

        $("input[name=From_To_Date]").daterangepicker({
            timePicker: true,
            autoUpdateInput: false,
            locale: {
                format: 'YYYY-MM-DD HH:mm:ss',
                cancelLabel: 'Clear'
            },
            startDate: moment(moment().format('YYYY-MM-DD') + ' ' + default_start_time),
            endDate: moment(moment().add(1, 'days').format('YYYY-MM-DD') + ' ' + default_end_time),
            ranges: {
                'Today': [moment(moment(new Date().getTime()).format('YYYY-MM-DD') + ' ' + default_start_time),
                    moment(moment(new Date().getTime()).format('YYYY-MM-DD') + ' ' + default_end_time)
                ],
                'Yesterday': [moment(moment().subtract(1, 'days').format('YYYY-MM-DD') + ' ' + default_start_time),
                    moment(moment().subtract(1, 'days').format('YYYY-MM-DD') + ' ' + default_end_time)
                ],
                'Last 7 Days': [moment(moment().subtract(6, 'days').format('YYYY-MM-DD') + ' ' + default_start_time),
                    moment(moment(new Date().getTime()).format('YYYY-MM-DD') + ' ' + default_end_time)
                ],
                'Last 30 Days': [moment(moment().subtract(29, 'days').format('YYYY-MM-DD') + ' ' + default_start_time),
                    moment(moment(new Date().getTime()).format('YYYY-MM-DD') + ' ' + default_end_time)
                ],
                'This Month': [moment(moment().startOf('month').format('YYYY-MM-DD') + ' ' + default_start_time),
                    moment(moment().endOf('month').format('YYYY-MM-DD') + ' ' + default_end_time)
                ],
                'Last Month': [moment(moment().subtract(1, 'month').startOf('month').format('YYYY-MM-DD') + ' ' + default_start_time),
                    moment(moment().subtract(1, 'month').endOf('month').format('YYYY-MM-DD') + ' ' + default_end_time)
                ]
            }
        }, function(start, end, label) {
            //            window.startDate = start.format("YYYY-MM-DD HH:mm:ss"),
            //                    window.endDate = end.format("YYYY-MM-DD HH:mm:ss")
            //            ActualAjax()
        });
        $('input[name=From_To_Date]').on('apply.daterangepicker', function(ev, picker) {
            $(this).val(picker.startDate.format('YYYY-MM-DD HH:mm:ss') + ' - ' + picker.endDate.format('YYYY-MM-DD HH:mm:ss'));
            ActualAjax()
        });
        $('input[name=From_To_Date]').on('cancel.daterangepicker', function(ev, picker) {
            $(this).val('');
            ActualAjax();
        });
        $("input[name=From_To_Date_invoice]").daterangepicker({
            locale: {
                format: 'YYYY-MM-DD'
            },
            startDateinvoice: moment(moment().format('YYYY-MM-DD')),
            endDateinvoice: moment(moment().add(1, 'days').format('YYYY-MM-DD')),
            ranges: {
                'Today': [moment(moment(new Date().getTime()).format('YYYY-MM-DD')),
                    moment(moment(new Date().getTime()).format('YYYY-MM-DD'))
                ],
                'Yesterday': [moment(moment().subtract(1, 'days').format('YYYY-MM-DD')),
                    moment(moment().subtract(1, 'days').format('YYYY-MM-DD'))
                ],
                'Last 7 Days': [moment(moment().subtract(6, 'days').format('YYYY-MM-DD')),
                    moment(moment(new Date().getTime()).format('YYYY-MM-DD'))
                ],
                'Last 30 Days': [moment(moment().subtract(29, 'days').format('YYYY-MM-DD')),
                    moment(moment(new Date().getTime()).format('YYYY-MM-DD'))
                ],
                'This Month': [moment(moment().startOf('month').format('YYYY-MM-DD')),
                    moment(moment().endOf('month').format('YYYY-MM-DD'))
                ],
                'Last Month': [moment(moment().subtract(1, 'month').startOf('month').format('YYYY-MM-DD')),
                    moment(moment().subtract(1, 'month').endOf('month').format('YYYY-MM-DD'))
                ]
            }
        }, function(start, end, label) {
            window.startDateinvoice = start.format("YYYY-MM-DD"),
                window.endDateinvoice = end.format("YYYY-MM-DD")
            ActualAjax()
        });
        ActualAjax()
        $("#product_id").on("change", function() {
            ActualAjax();
        });
    })

    function ActualAjax() {
        var date_from_to_value = $("input[name=From_To_Date]").val().split(' - ');
        var From_To_Date_invoice = $("input[name=From_To_Date_invoice]").val().split(' - ');
        var CurrentDate = {
            From_Date: date_from_to_value[0] == undefined ? '' : date_from_to_value[0],
            To_Date: date_from_to_value[1] == undefined ? '' : date_from_to_value[1],
            From_Date_invoice: window.startDateinvoice ? window.startDateinvoice : From_To_Date_invoice[0],
            To_Date_invoice: window.endDateinvoice ? window.endDateinvoice : From_To_Date_invoice[1],
            product_id: $("#product_id").val(),
            is_day: $("#is_day").val()
        };
        $.ajax({
            url: "InventoryAjax/product_quantity_ajax",
            data: CurrentDate,
            dataType: "json",
            complete: function(v1, v2) {
                if (v2 == "success") {
                    var response = v1.responseJSON;
                    var msg = '';
                    RebuildDataTable(title, [0, 1, 2], "InventoryAjax/product_quantity_ajax", CurrentDate, '', [], {
                        msg: msg
                    })
                }
            }
        })
    }
</script>