<style>
    .text-white{
        color: white;
    }
    a{
        color: #0c586a;
    }
</style>
<script src="<?php echo VIEWS_PATH; ?>crm/common.js"></script>
<div class="container-fluid container-fixed-lg bg-white">
    <div class="panel panel-transparent">
        <div class="panel-heading">
            <div class="panel-title"><?php echo $title; ?> </div>
        </div>
        <div class="panel-body">
            <div class="row form-group">
                <?php  if ($permissions->hasPermission('add_stage')) {?>
                <div class="col-md-4 pull-right m-t-20">
                    <a class="btn bg-complete-dark pull-right " id="add_stage" data-origin="list" data-toggle="modal" data-target="#stage_modal">
                        <?php print CommonLanguage::getMessage('add_stage'); ?>
                    </a> 
                </div>
                <?php }?>
            </div>
            <div class="row">
                <div class="table-responsive col-md-12 m-t-10">
                    <table class="table table-bordered table-hover crm-table" id="tableWithSearch" >
                        <thead>
                            <tr>
                                <th class="text-center"><?php print CommonLanguage::getMessage('stage_title'); ?></th>
                                <th class="text-center"><?php print CommonLanguage::getMessage('Action'); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    $(function(){ 
        RebuildDataTable($('.panel-heading .panel-title').html(),[0,1,2,3,4],'crmAjax/stageList');
    })
</script>
<?php  if ($permissions->hasPermission('add_stage') || 
           $permissions->hasPermission('edit_stage')) {
    include 'Views/crm/stage_modal.php';
}